stable_sort.hpp File Reference

## Functions

template<typename I , typename S , typename C = less, typename P = identity>
auto | ranges::stable_sort (I first, S end_, C pred=C{}, P proj=P{}) -> I requires sortable< I, C, P > &&random_access_iterator< I > &&sentinel_for< S, I >
| function template `stable_sort`
template<typename Rng , typename C = less, typename P = identity>
auto | ranges::stable_sort (Rng &&rng, C pred=C{}, P proj=P{}) -> safe_iterator_t< Rng > requires sortable< iterator_t< Rng >, C, P > &&random_access_range< Rng >